Bug 1126464 - Unable to generate anwerfile
Summary: Unable to generate anwerfile
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Shirly Radco
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 13:32 UTC by Petr Beňas
Modified: 2016-02-10 19:26 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-05 14:27:47 UTC
oVirt Team: Infra


Attachments (Terms of Use)

Description Petr Beňas 2014-08-04 13:32:32 UTC
Description of problem:
[root@brq-update ~]# rhevm-dwh-setup -g dwh_ansfile
Answer file generated at dwh_ansfile

[root@brq-update ~]# cat dwh_ansfile 
[general]
REMOTE_DB_PORT=None
CREATE_READONLY_USER=None
STOP_ENGINE=None
REMOTE_DB_HOST=None
READONLY_SECURE=None
REMOTE_DB_PASSWORD=None
REMOTE_DB_USER=None
READONLY_USER=None
BACKUP_DB=None
READONLY_PASS=None


Version-Release number of selected component (if applicable):
rhevm-dwh-3.3.4-2.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:
Unable to automate dwh-setup.

Expected results:
Answerfile is generated containing the prompted values and can be used for automated setup of the dwh. 

Additional info:

Comment 1 Shirly Radco 2014-08-05 14:27:47 UTC
This was fixed in 3.4.

Comment 2 Petr Beňas 2014-08-05 15:07:43 UTC
That's why this bug was filed agains 3.3. Without this an upgrade of reports from 3.3 to 3.4 cannot be tested.

Comment 3 Yaniv Lavi 2014-08-06 07:09:55 UTC
(In reply to Petr Beňas from comment #2)
> That's why this bug was filed agains 3.3. Without this an upgrade of reports
> from 3.3 to 3.4 cannot be tested.

Can you add logs and exact description of the issue?
We can't help you without these.

Comment 6 Yaniv Lavi 2014-08-06 07:51:35 UTC
In 3.3 do we create a answer file at end of setup. Can you help him with the options answers?



Yaniv

Comment 8 Yedidyah Bar David 2014-08-06 09:45:54 UTC
(In reply to Yaniv Dary from comment #6)
> In 3.3 do we create a answer file at end of setup. Can you help him with the
> options answers?
> 
> 
> 
> Yaniv

in 3.3 we do not write it in the end with the input answers. see [1]. Could not find anywhere official doc about this answer file, or even an example. [2] only has a comment "Editing /tmp/alex to the appropriate values, then"...

Something like this should work, based on reading the code - didn't try that:

[general]
REMOTE_DB_PORT=None
CREATE_READONLY_USER=False
STOP_ENGINE=True
REMOTE_DB_HOST=None
READONLY_SECURE=None
REMOTE_DB_PASSWORD=None
REMOTE_DB_USER=None
READONLY_USER=None
BACKUP_DB=True
READONLY_PASS=None

You can leave keys with None or just drop them. 'REMOTE_DB_HOST' is ignored - the host is taken from engine.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1025336#c3
[2] http://gerrit.ovirt.org/20771

If you still have problems please tell me - I'd be very happy to see automated testing for dwh and reports setup!


Note You need to log in before you can comment on or make changes to this bug.